package com.goafanti.common.dao;

import java.util.List;

import com.goafanti.common.model.PatentRegistration;
import com.goafanti.core.mybatis.page.Pagination;
import com.goafanti.patent.bo.PatentRecieveSendBo;

public interface PatentRegistrationMapper {
    int deleteByPrimaryKey(String id);

    int insert(PatentRegistration record);

    int insertSelective(PatentRegistration record);

    PatentRegistration selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(PatentRegistration record);

    int updateByPrimaryKey(PatentRegistration record);

	Pagination<PatentRecieveSendBo> getRecieveSendList(Integer pNo, Integer pSize);

	void batchInsert(List<PatentRegistration> pr);

}